/**
 * 
 */
package org.springblade.config;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "blade.playwright")
public class PlaywrightProperties {

	//截图保存目录
	private String screenShotDir;
	
	//截图域名
	private String screenShotDomain;
	
	//前端页面请求Domain
	private String websiteDomain;
	
	//安全校验打开
	private boolean safeCheckEnabled = false;
	
	//IP白名单
	private List<String> whiteIps;
}
